diff -cw info.el info-patched-2012-09-21.el
*** info.el	Fri Sep 21 15:41:54 2012
--- info-patched-2012-09-21.el	Fri Sep 21 15:47:12 2012
***************
*** 3168,3186 ****
  If there are no exact matches to the specified topic, this chooses
  the first match which is a case-insensitive substring of a topic.
  Use the \\<Info-mode-map>\\[Info-index-next] command to see the other matches.
! Give an empty topic name to go to the Index node itself."
    (interactive
     (list
      (let ((completion-ignore-case t)
  	  (Info-complete-menu-buffer (clone-buffer))
  	  (Info-complete-nodes (Info-index-nodes))
! 	  (Info-history-list nil))
        (if (equal Info-current-file "dir")
  	  (error "The Info directory node has no index; use m to select a manual"))
        (unwind-protect
  	  (with-current-buffer Info-complete-menu-buffer
  	    (Info-goto-index)
! 	    (completing-read "Index topic: " 'Info-complete-menu-item))
  	(kill-buffer Info-complete-menu-buffer)))))
    (if (equal Info-current-file "dir")
        (error "The Info directory node has no index; use m to select a manual"))
--- 3168,3189 ----
  If there are no exact matches to the specified topic, this chooses
  the first match which is a case-insensitive substring of a topic.
  Use the \\<Info-mode-map>\\[Info-index-next] command to see the other matches.
! Give an empty topic name to go to the Index node itself.
! The default topic (`M-n') is the name of the symbol at point."
    (interactive
     (list
      (let ((completion-ignore-case t)
  	  (Info-complete-menu-buffer (clone-buffer))
  	  (Info-complete-nodes (Info-index-nodes))
! 	  (Info-history-list nil)
!           (default-topic (thing-at-point 'symbol)))
        (if (equal Info-current-file "dir")
  	  (error "The Info directory node has no index; use m to select a manual"))
        (unwind-protect
             (with-current-buffer Info-complete-menu-buffer
               (Info-goto-index)
!              (completing-read "Index topic: " 'Info-complete-menu-item
!                               nil nil nil nil default-topic))
  	(kill-buffer Info-complete-menu-buffer)))))
    (if (equal Info-current-file "dir")
        (error "The Info directory node has no index; use m to select a manual"))

Diff finished.  Fri Sep 21 15:48:34 2012
